Package org.globus.ftp

# Interface MlsxEntryWriter

public interface MlsxEntryWriter
The MlsxEntryWriter provides a callback interface for writing individual MlsxEntry items from a long directory listing (for example, using the MLSR command).

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Notifies the writer that the stream of entries has ended.
`void`
`write(MlsxEntry entry)`
Writes a single entry from the stream.

## Method Details

### write

void write(MlsxEntry entry) throws IOException
Writes a single entry from the stream.

Parameters:
  `entry` - the file/directory entry
Throws:
  `IOException`

### close

void close()
Notifies the writer that the stream of entries has ended.